org.crosswire.common.progress

## Enum ProgressMode

- java.lang.Object
- - java.lang.Enum<ProgressMode>
  - - org.crosswire.common.progress.ProgressMode

- All Implemented Interfaces:
    Serializable, Comparable<ProgressMode>

      public enum ProgressMode
      extends Enum<ProgressMode>

  Progress can be one of several modes, which correspond to the `Progress.beginJob()` calls.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PERCENT` Progress is working toward 100% and is supplying work from 0 to 100.
    `PREDICTIVE` Progress is predicted on the basis of prior runs.
    `UNITS` Progress is working toward a number of units.
    `UNKNOWN` Progress is entirely indeterminate.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProgressMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProgressMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERCENT

          public static final ProgressMode PERCENT

      Progress is working toward 100% and is supplying work from 0 to 100.

    - #### UNITS

          public static final ProgressMode UNITS

      Progress is working toward a number of units. It might be 100.

    - #### PREDICTIVE

          public static final ProgressMode PREDICTIVE

      Progress is predicted on the basis of prior runs. The caller has supplied a useful map of the sections for last run.

    - #### UNKNOWN

          public static final ProgressMode UNKNOWN

      Progress is entirely indeterminate. The user has not supplied a useful map of the sections for last run.

  - ### Method Detail

    - #### values

          public static ProgressMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProgressMode c : ProgressMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProgressMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null